Bug 886033 - [pyparted] installation on EDEV device fails
Summary: [pyparted] installation on EDEV device fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyparted
Version: 18
Hardware: s390x
OS: All
unspecified
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FBAinFedora
TreeView+ depends on / blocked
 
Reported: 2012-12-11 11:10 UTC by IBM Bug Proxy
Modified: 2013-06-05 08:20 UTC (History)
8 users (show)

Fixed In Version: pyparted-3.10-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-05 03:20:57 UTC
Type: ---


Attachments (Terms of Use)
pyparted-3.8-add-ped-disk-new.patch (4.07 KB, text/plain)
2012-12-11 11:11 UTC, IBM Bug Proxy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 87249 0 None None None Never

Description IBM Bug Proxy 2012-12-11 11:10:51 UTC
Problem Description
--------------------------
Installation fails on EDEV (Emulated FBA) device
 
---uname output---
3.3.0-0.20.el7
 
Machine Type = 2817 

Steps to Reproduce
---------------------------
1. Apply the parted patches from LTC bug # 84317 and 84318

Bug 84318 - RH707032- Installation on EAV DASD failed
Bug 84317 - RH707027 - RFE: Installation on Z/VM EDEV failed during format

2. Try installing on EDEV device. Installation fails.

3. Some of the functions from 'parted' are required to be available for Anaconda to exploit the changes done for EAV/EDEV devices. So changes are required for 'pyparted'.

== Comment: #3 - NAGESWARA R. SASTRY <nasastry@in.ibm.com> - 2012-12-07 05:48:48 ==
1. What is EDEV device:
Fixed Block Access (FBA) DASDs are mainframe-specific disk devices
which are layed out as a sequence of 512-byte sectors. In contrast
to ECKD DASDs, these disks do not require formatting and resemble
the LBA layout of non-mainframe disks. Despite this resemblance,
the Linux kernel applies special handling during partition detection
for FBA DASDs, resulting in a single, immutable partition being
reported.

While actual FBA DASD hardware is no longer available, the z/VM
hypervisor can simulate FBA DASD disks, backed by either ECKD or
SCSI devices.

2. How does installation fail
The function 'ped_disk_new_fresh' exported to Anaconda as
'freshPartedDisk', which set the type of the disk to a device.
This function sets wrong meta-data to EDEV disk.

3. Why does it fail
Because of the wrong meta-data on EDEV devices.

4. How does this patch solve this problem.
The proper meta-data written to the EDEV kind of disks by function
named 'ped_disk_new'. So this function is exported to Anaconda as
'newPartedDisk'. This will help in writing correct meta-data to the
disk. Having correct meta-data on the disk will help in successful
installation.

Comment 1 IBM Bug Proxy 2012-12-11 11:11:14 UTC
Created attachment 661372 [details]
pyparted-3.8-add-ped-disk-new.patch

Comment 2 Fedora Update System 2013-05-28 14:14:47 UTC
pyparted-3.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pyparted-3.10-1.fc19

Comment 3 Fedora Update System 2013-05-28 16:13:50 UTC
Package pyparted-3.10-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyparted-3.10-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9446/pyparted-3.10-1.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-06-05 03:20:57 UTC
pyparted-3.10-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 IBM Bug Proxy 2013-06-05 08:20:53 UTC
------- Comment From nasastry@in.ibm.com 2013-06-05 08:13 EDT-------
Tested pyparted-3.10-1.fc19, it contains the required patch and working as expected.

Thanks!!


Note You need to log in before you can comment on or make changes to this bug.